# SIPDialogContext Class Reference

`#include <sippdu.h>`

Collaboration diagram for SIPDialogContext:

[legend]

## Public Member Functions

| SIPDialogContext ()
| SIPDialogContext (const SIPMIMEInfo &mime)
PString | AsString () const
bool | FromString (const PString &str)
const PString & | GetCallID () const
void | SetCallID (const PString &id)
const SIPURL & | GetRequestURI () const
void | SetRequestURI (const SIPURL &url)
const PString & | GetLocalTag () const
void | SetLocalTag (const PString &tag)
const SIPURL & | GetLocalURI () const
void | SetLocalURI (const SIPURL &url)
const PString & | GetRemoteTag () const
void | SetRemoteTag (const PString &tag)
const SIPURL & | GetRemoteURI () const
void | SetRemoteURI (const SIPURL &url)
const SIPURLList & | GetRouteSet () const
void | SetRouteSet (const PString &str)
const SIPURL & | GetProxy () const
void | SetProxy (const SIPURL &proxy, bool addToRouteSet)
void | Update (const SIP_PDU &response)
unsigned | GetNextCSeq ()
void | IncrementCSeq (unsigned inc)
bool | IsDuplicateCSeq (unsigned sequenceNumber)
bool | IsEstablished () const
OpalTransportAddress | GetRemoteTransportAddress (PINDEX dnsEntry) const
const PString & | GetInterface () const
void | SetInterface (const PString &newInterface)
void | SetForking (bool f)

## Protected Attributes

PString | m_callId
SIPURL | m_requestURI
SIPURL | m_localURI
PString | m_localTag
SIPURL | m_remoteURI
PString | m_remoteTag
SIPURLList | m_routeSet
unsigned | m_lastSentCSeq
unsigned | m_lastReceivedCSeq
OpalTransportAddress | m_externalTransportAddress
bool | m_forking
SIPURL | m_proxy
PString | m_interface

## Detailed Description

Session Initiation Protocol dialog context information.

## Constructor & Destructor Documentation

SIPDialogContext::SIPDialogContext | ( |  | ) |

SIPDialogContext::SIPDialogContext | ( | const SIPMIMEInfo & | mime | ) |

## Member Function Documentation

PString SIPDialogContext::AsString | ( |  | ) | const

bool SIPDialogContext::FromString | ( | const PString & | str | ) |

const PString& SIPDialogContext::GetCallID | ( |  | ) | const`[inline]`

const PString& SIPDialogContext::GetInterface | ( |  | ) | const`[inline]`

const PString& SIPDialogContext::GetLocalTag | ( |  | ) | const`[inline]`

const SIPURL& SIPDialogContext::GetLocalURI | ( |  | ) | const`[inline]`

unsigned SIPDialogContext::GetNextCSeq | ( |  | ) |

const SIPURL& SIPDialogContext::GetProxy | ( |  | ) | const`[inline]`

const PString& SIPDialogContext::GetRemoteTag | ( |  | ) | const`[inline]`

OpalTransportAddress SIPDialogContext::GetRemoteTransportAddress | ( | PINDEX | dnsEntry | ) | const

const SIPURL& SIPDialogContext::GetRemoteURI | ( |  | ) | const`[inline]`

const SIPURL& SIPDialogContext::GetRequestURI | ( |  | ) | const`[inline]`

const SIPURLList& SIPDialogContext::GetRouteSet | ( |  | ) | const`[inline]`

void SIPDialogContext::IncrementCSeq | ( | unsigned | inc | ) | `[inline]`

bool SIPDialogContext::IsDuplicateCSeq | ( | unsigned | sequenceNumber | ) |

bool SIPDialogContext::IsEstablished | ( |  | ) | const`[inline]`

void SIPDialogContext::SetCallID | ( | const PString & | id | ) | `[inline]`

void SIPDialogContext::SetForking | ( | bool | f | ) | `[inline]`

void SIPDialogContext::SetInterface | ( | const PString & | newInterface | ) | `[inline]`

void SIPDialogContext::SetLocalTag | ( | const PString & | tag | ) | `[inline]`

void SIPDialogContext::SetLocalURI | ( | const SIPURL & | url | ) |

void SIPDialogContext::SetProxy | ( | const SIPURL & | proxy,
|  | bool | addToRouteSet |
| ) |  |  |

void SIPDialogContext::SetRemoteTag | ( | const PString & | tag | ) | `[inline]`

void SIPDialogContext::SetRemoteURI | ( | const SIPURL & | url | ) |

void SIPDialogContext::SetRequestURI | ( | const SIPURL & | url | ) |

void SIPDialogContext::SetRouteSet | ( | const PString & | str | ) | `[inline]`

void SIPDialogContext::Update | ( | const SIP_PDU & | response | ) |

## Field Documentation

PString SIPDialogContext::m_callId `[protected]`

OpalTransportAddress SIPDialogContext::m_externalTransportAddress `[protected]`

bool SIPDialogContext::m_forking `[protected]`

PString SIPDialogContext::m_interface `[protected]`

unsigned SIPDialogContext::m_lastReceivedCSeq `[protected]`

unsigned SIPDialogContext::m_lastSentCSeq `[protected]`

PString SIPDialogContext::m_localTag `[protected]`

SIPURL SIPDialogContext::m_localURI `[protected]`

SIPURL SIPDialogContext::m_proxy `[protected]`

PString SIPDialogContext::m_remoteTag `[protected]`

SIPURL SIPDialogContext::m_remoteURI `[protected]`

SIPURL SIPDialogContext::m_requestURI `[protected]`

SIPURLList SIPDialogContext::m_routeSet `[protected]`

The documentation for this class was generated from the following file:

- sippdu.h